---
title: Aktualisieren von PostgreSQL auf CentOS 7 von Version 9 auf 11
description: 
published: true
date: 2024-06-17T10:46:14.379Z
tags: 
editor: markdown
dateCreated: 2024-06-17T10:36:15.467Z
---

# Aktualisieren von PostgreSQL auf CentOS 7 von Version 9 auf 11

Das Aktualisieren von PostgreSQL auf CentOS 7 von Version 9 auf 11 erfordert einige Schritte. Hier ist eine allgemeine Anleitung, die dir helfen sollte. Bitte beachte, dass du vor dem Aktualisieren sicherstellen solltest, dass du eine vollständige Sicherung deiner PostgreSQL-Datenbanken erstellt hast.

1. **Sicherung erstellen:**
   Bevor du mit dem Upgrade beginnst, erstelle eine Sicherung deiner PostgreSQL-Datenbanken, um sicherzustellen, dass du im Falle von Problemen auf eine funktionierende Version zurückgreifen kannst.

2. **Repository für PostgreSQL 11 hinzufügen:**
   Füge das Repository für PostgreSQL 11 zu deinem System hinzu. Du kannst dies mit dem folgenden Befehl tun:

   ```bash
   sudo yum install https://download.postgresql.org/pub/repos/yum/reporpms/EL-7-x86_64/pgdg-redhat-repo-latest.noarch.rpm
   ```

3. **PostgreSQL 9 deinstallieren:**
   Entferne die vorhandene PostgreSQL 9-Installation:

   ```bash
   sudo yum remove postgresql-server postgresql-contrib
   ```

4. **PostgreSQL 11 installieren:**
   Installiere PostgreSQL 11:

   ```bash
   sudo yum install postgresql11-server postgresql11-contrib
   ```

5. **Initialisierung von PostgreSQL 11:**
   Initialisiere die PostgreSQL 11-Datenbank:

   ```bash
   sudo /usr/pgsql-11/bin/postgresql-11-setup initdb
   ```

6. **Dienst starten:**
   Starte den PostgreSQL 11-Dienst:

   ```bash
   sudo systemctl start postgresql-11
   ```

7. **Automatischer Start:**
   Stelle sicher, dass PostgreSQL 11 beim Boot automatisch startet:

   ```bash
   sudo systemctl enable postgresql-11
   ```

8. **Überprüfung:**
   Überprüfe, ob PostgreSQL 11 ordnungsgemäß läuft:

   ```bash
   sudo systemctl status postgresql-11
   ```

9. **Benutzer und Datenbanken migrieren:**
   Du musst Benutzer und Datenbanken von PostgreSQL 9 nach PostgreSQL 11 migrieren. Du kannst dazu `pg_dump` und `pg_restore` verwenden. Hier ist ein allgemeines Beispiel:

   ```bash
   pg_dumpall -U postgres -f backup.sql   # Sichere die Datenbanken
   psql -U postgres -f backup.sql         # Stelle die Datenbanken in PostgreSQL 11 wieder her
   ```

10. **Aktualisierte Konfiguration überprüfen:**
    Überprüfe und aktualisiere bei Bedarf deine PostgreSQL-Konfigurationsdateien in `/var/lib/pgsql/11/data/`.

11. **Firewall-Konfiguration aktualisieren:**
    Wenn du eine Firewall verwendest, stelle sicher, dass der PostgreSQL 11-Port (standardmäßig 5432) freigegeben ist.

12. **Testen:**
    Teste gründlich, ob alle deine Anwendungen und Skripte ordnungsgemäß mit der neuen PostgreSQL 11-Version funktionieren.

Bitte beachte, dass dies eine allgemeine Anleitung ist, und es können zusätzliche Schritte erforderlich sein, abhängig von deiner spezifischen Umgebung und Konfiguration. Es wird auch empfohlen, die offizielle PostgreSQL-Dokumentation und Release-Notes für detailliertere Informationen zu konsultieren.