---
title: Verknüpfen einer E-Mail-Adresse mit deinem GPG-Schlüssel
description: 
published: true
date: 2024-06-17T10:46:25.999Z
tags: 
editor: markdown
dateCreated: 2024-06-17T10:36:32.352Z
---

Wenn du einen GPG-Schlüssel verwendest, der mit deiner Committer-Identität und deiner verifizierten E-Mail-Adresse übereinstimmt, die mit deinem Konto auf GitHub.com verknüpft ist, kannst du mit dem Signieren von Commits und Tags beginnen.

1.  Öffne Terminal.
    
2.  Verwende den Befehl `gpg --list-secret-keys --keyid-format=long`, um die Langform der GPG-Schlüssel aufzulisten, für die du sowohl über einen öffentlichen als auch einen privaten Schlüssel verfügst. Zum Signieren von Commits oder Tags ist ein privater Schlüssel erforderlich.
    
    Shell
    
    ```
    gpg --list-secret-keys --keyid-format=long 
    ```
    
    **Hinweis**: Bei einigen GPG-Installationen unter Linux musst du möglicherweise stattdessen `gpg2 --list-keys --keyid-format LONG` verwenden, um eine Liste einer vorhandenen Schlüssel anzuzeigen. In diesem Fall musst du auch Git für die Verwendung von `gpg2` konfigurieren, indem du `git config --global gpg.program gpg2` ausführst.
    
3.  Kopiere aus der Liste der GPG-Schlüssel die lange Form der GPG-Schlüssel-ID, die du verwenden möchtest. In diesem Beispiel lautet die GPG-Schlüssel-ID `3AA5C34371567BD2`:
    
    Shell
    
    ```
     $ gpg --list-secret-keys --keyid-format=long
    /Users/hubot/.gnupg/secring.gpg
    ------------------------------------
    sec   4096R/3AA5C34371567BD2 2016-03-10 [expires: 2017-03-10]
    uid                          Hubot <hubot@example.com>
    ssb   4096R/4BB6D45482678BE3 2016-03-10 
    ```
    
4.  Füge `gpg --edit-key GPG key ID` ein, und ersetzte dabei die GPG-Schlüssel-ID, die du verwenden möchtest. Im folgenden Beispiel lautet die GPG-Schlüssel-ID: `3AA5C34371567BD2`
    
    ```
    gpg --edit-key 3AA5C34371567BD2 
    ```
    
5.  Gib `gpg> adduid` ein, um die Details der Benutzer-ID hinzuzufügen.
    
    ```
    gpg> adduid 
    ```
    
6.  Folge den Aufforderungen, deinen echten Namen, deine E-Mail-Adresse und jegliche Kommentare anzugeben. Du kannst deine Einträge ändern, indem du die Einträge `N`, `C` oder `E` auswählst. Um deine E-Mail-Adresse privat zu halten, verwende die von GitHub bereitgestellte `no-reply`-E-Mail-Adresse. Weitere Informationen findest du unter [E-Mail-Adresse für Commits festlegen](https://docs.github.com/de/account-and-profile/setting-up-and-managing-your-personal-account-on-github/managing-email-preferences/setting-your-commit-email-address).
    
    ```
    Real Name: OCTOCAT
    Email address: "octocat@github.com"
    Comment: GITHUB-KEY
    Change (N)ame, (C)omment, (E)mail or (O)kay/(Q)uit? 
    ```
    
7.  Gib `O` ein, um deine Auswahl zu bestätigen.
    
8.  Gib die Passphrase deines Schlüssels ein.
    
9.  Gib `gpg> save` ein, um die Änderungen zu speichern.
    
    ```
    gpg> save 
    ```
    
10. Gib `gpg --armor --export GPG key ID` ein, und setze dabei die GPG-Schlüssel-ID ein, die du verwenden möchtest. Im folgenden Beispiel lautet die GPG-Schlüssel-ID: `3AA5C34371567BD2`
    
    ```
    $ gpg --armor --export 3AA5C34371567BD2
    # Prints the GPG key, in ASCII armor format 
    ```
    
11. Lade den GPG-Schlüssel hoch, indem du [ihn zu deinem GitHub-Konto hinzufügst](https://docs.github.com/de/authentication/managing-commit-signature-verification/adding-a-gpg-key-to-your-github-account).