---
title: Anleitung zum Exportieren und Importieren eines GPG-Schlüssels
description: 
published: true
date: 2024-06-17T10:46:28.256Z
tags: 
editor: markdown
dateCreated: 2024-06-17T10:36:35.660Z
---

# Anleitung zum Exportieren und Importieren eines GPG-Schlüssels

## Exportieren des GPG-Schlüssels

1. **GPG-Schlüssel anzeigen:** Überprüfen Sie zunächst auf dem Computer, von dem aus Sie den Schlüssel exportieren möchten, die verfügbaren GPG-Schlüssel mit dem Befehl `gpg --list-keys`.

2. **Schlüssel exportieren:** Wählen Sie den Schlüssel aus, den Sie exportieren möchten, und verwenden Sie dessen ID oder E-Mail-Adresse. Verwenden Sie den Befehl `gpg --export -a "Schlüssel-ID oder E-Mail-Adresse" > schlüsselname.pub`. Ersetzen Sie "Schlüssel-ID oder E-Mail-Adresse" durch die tatsächliche ID oder E-Mail-Adresse des Schlüssels und "schlüsselname.pub" durch den Namen, den Sie für die exportierte Datei verwenden möchten.

    Beispiel:
    ```bash
    gpg --export -a "Max Mustermann" > max_mustermann_pub_key.pub
    ```

3. **Speichern und sichern:** Speichern Sie die exportierte Datei an einem sicheren Ort, da sie zum Importieren des Schlüssels in andere Anwendungen oder zum Teilen mit anderen benötigt wird.

## Importieren des GPG-Schlüssels auf einem anderen Computer

1. **Übertragen der exportierten Datei:** Kopieren Sie die exportierte Datei (`schlüsselname.pub`), die Sie auf dem anderen Computer importieren möchten, auf diesen Computer. Sie können dies über verschiedene Methoden wie USB-Laufwerk, Dateiübertragung über das Netzwerk oder Cloud-Speicher tun.

2. **Öffentlichen Schlüssel importieren:** Öffnen Sie ein Terminalfenster auf dem anderen Computer und verwenden Sie den Befehl `gpg --import schlüsselname.pub`, um den öffentlichen Schlüssel zu importieren. Ersetzen Sie "schlüsselname.pub" durch den tatsächlichen Namen der exportierten Datei.

    Beispiel:
    ```bash
    gpg --import max_mustermann_pub_key.pub
    ```

3. **Privaten Schlüssel (optional) importieren:** Wenn Sie auch den privaten Schlüssel auf den anderen Computer übertragen möchten (was normalerweise nicht empfohlen wird, es sei denn, es ist wirklich notwendig), übertragen Sie die entsprechende private Schlüsseldatei und verwenden Sie den Befehl `gpg --allow-secret-key-import --import privater_schluessel.pgp`. Beachten Sie, dass der private Schlüssel äußerst vertraulich ist und mit äußerster Vorsicht behandelt werden sollte.

    Beispiel:
    ```bash
    gpg --allow-secret-key-import --import privater_schluessel.pgp
    ```

4. **Überprüfen:** Überprüfen Sie nach dem Importieren, ob der Schlüssel erfolgreich hinzugefügt wurde, indem Sie den Befehl `gpg --list-keys` ausführen.

